use async_trait::async_trait;
use hyper::{Body, Request, Response};

pub mod proxy_child;
pub mod serve_static;

#[async_trait]
pub trait HttpHandler: Send + Sync {
    async fn handle(&self, request: Request<Body>) -> Response<Body>;
}
